%define name gnomemm
%define	version 1.1.10
%define release 2mdk
%define prefix /usr
%define release 2mdk

Name: %{name}
Summary: A C++ interface for Gnome libs (a GUI library for X).
Version: %{version}
Release: %{release}
Copyright: 	LGPL
Group: System/Libraries
Source: ftp://download.sourceforge.net/gtkmm/%{name}-%{version}.tar.gz
URL: http://gtkmm.sourceforge.net/
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: gnome-libs, gtkmm
BuildRequires: gnome-libs, gtkmm XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package	devel
Summary: Headers for developing programs that will use Gnome--.
Group: Development/GNOME and GTK+
Requires: %{name}, gnome-libs-devel

%description    devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q

%build
%configure 
%make 

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%make DESTDIR=$RPM_BUILD_ROOT install

# replace examples.conf by a really simple one
echo 'CXXBUILD = g++ -O2 $< -o $@ `gtkmm-config --cflags --libs` ' \
	> examples/examples.conf

# strip down the docs 
find docs/ \
\( 	-name 'Makefile' -or	\
	-name 'Makefile.in' -or	\
	-name 'Makefile.am' -or	\
	-name '*.m4' -or	\
	-name 'html' -or	\
	-name 'header' -or 	\
	-name '*.h' 		\
\)	-exec rm {} \;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files  devel
%defattr(-, root, root)
%doc examples/ docs/  AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/*.so

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.10-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.10-1mdk
- First mdk release

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
